For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet PDF templates
      • GETGet built-in PDF templates
      • GETGet a PDF template by ID
      • POSTSet the default PDF template
      • GETPreview a PDF template
LogoLogo
API StatusPartner Portal
UtilitiesPDF templates

Get built-in PDF templates

GET
/document_templates/system
GET
/v1/document_templates/system
$curl https://api.sandbox.monite.com/v1/document_templates/system \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "document_type": "receivable",
6 "is_default": true,
7 "language": "language",
8 "name": "name",
9 "template": "template",
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-01-15T09:30:00Z",
12 "blocks": [
13 "blocks"
14 ],
15 "preview": {
16 "id": "id",
17 "created_at": "2024-01-15T09:30:00Z",
18 "updated_at": "2024-01-15T09:30:00Z",
19 "file_type": "file_type",
20 "md5": "60997cbcc1a6fb2ec37d389ffa8588db",
21 "mimetype": "application/pdf",
22 "name": "timesheet.pdf",
23 "region": "eu-central-1",
24 "s3_bucket": "s3_bucket",
25 "s3_file_path": "s3_file_path",
26 "size": 120101,
27 "url": "https://bucketname.s3.amazonaws.com/path/to/timesheet.pdf"
28 },
29 "template_type": "block"
30 }
31 ]
32}
This API call returns all supported system templates with language codes.
Was this page helpful?
Previous

Get a PDF template by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

401
Get Document Templates System Request Unauthorized Error
422
Get Document Templates System Request Unprocessable Entity Error
429
Get Document Templates System Request Too Many Requests Error